package com.realnet.taxi_rental.Services;
import com.realnet.taxi_rental.Repository.Car_categoryRepository;
import com.realnet.taxi_rental.Entity.Car_category
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Car_categoryService {
@Autowired
private Car_categoryRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Car_category Savedata(Car_category data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Car_category save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Car_category> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Car_category> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Car_category> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Car_category getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Car_category update(Car_category data,Integer id) {
	Car_category old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.getActive());

final Car_category test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
